Skip to main content

Query APIKey Info

Query information for a specified API Key.

HTTP Request

  • GET /api/v3/apiKeyInfo

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
timestampstringyesTimestamp
signaturestringyesSignature
accessKeystringyesThe accessKey to query

Response Parameters

NameTypeDescription
notestringAPIKey note
apikeystringAPI public key
statusstringAPI Key status: VALID, DELETE, or FROZEN
permissionsstringEnabled APIKey permissions, comma-separated. Available values: SPOT_ACCOUNT_READ, SPOT_ACCOUNT_WRITE, SPOT_DEAL_READ, SPOT_DEAL_WRITE, CONTRACT_ACCOUNT_READ, CONTRACT_ACCOUNT_WRITE, CONTRACT_DEAL_READ, CONTRACT_DEAL_WRITE, SPOT_TRANSFER_READ, SPOT_TRANSFER_WRITE
ipWhiteListstringCurrently linked IP whitelist
createTimestringAPI Key creation time
remainingValidityintegerRemaining validity in days: -999 for permanent, 0 if expired, greater than 0 if active

Response

{
"note": "P2P",
"accessKey": "mx0vgxxxxxxxvwe9Pq",
"createTime": "2026-08-31T02:22:18.000+00:00",
"permissions": "CONTRACT_ACCOUNT_READ,CONTRACT_DEAL_WRITE,SPOT_TRANSFER_READ,SPOT_WITHDRAW_WRITE,SPOT_WITHDRAW_READ,SPOT_DEAL_WRITE,CONTRACT_DEAL_READ,SPOT_TRANSFER_WRITE,SPOT_ACCOUNT_WRITE,SPOT_DEAL_READ,SPOT_ACCOUNT_READ",
"remainingValidity": 66,
"ipWhiteList": "",
"status": "VALID"
}